    .access-denied-overlay {
      position: fixed;
      inset: 0;
      z-index: 9999;

      display: flex;
      align-items: center;
      justify-content: center;
      pointer-events: none;  
      background: transparent;
    }
    
    .access-denied-dialog {
      pointer-events: auto;
      width: min(420px, 90vw); 
      border: 1px solid #676767;
      border-radius: 3px;
      background-color: #ffffff;
      padding: 8px 12px;
      display: flex;
      flex-direction: column;
      justify-content: center;   
      padding: 25px 20px;
    }

    .access-denied-header {
      display: flex;
      align-items: center;
      margin: 0 0 8px 0;
      padding: 0;
      border-bottom: none;     
    }

    .access-denied-title {
      margin: 0;
      font-size: 20px;
      font-weight: 600;
    }

    .access-denied-body {
      margin: 5px;
      padding: 4px 0;          
      font-size: 16px;
      line-height: 1.3;
      flex: 0 0 auto;         
      display: flex;          
    }

    .access-denied-body p {
      margin: 3px;
    }

    .access-denied-footer {
      margin-top: 5px;
      padding: 2px 0 0 0;
      border-top: none;        
      text-align: right;
    }

   .access-denied-dialog .uitk-c-button--primary {
      padding: 2px 10px;  
      line-height: 1.2;
      margin-top: 12px;
      margin-left: 16px;
    }